ZiamBindProjectRole
Binds a non-Project-scoped ZIAM role to a project by creating a RoleBinding resource. Users that join the project can inherit supported roles according to the ZIAM role inheritance model. project-admin authority is recognized only from User or Group RoleBindings; project-owner must use ProjectMembership.
PUT
/api/v1/ziam/projects/{projectUuid}/roles/{roleKey}Operation ID
ZiamBindProjectRoleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
roleUuidStringOptional role uuid. roleKey in the path is always required and is the stable binding key.
Example: 66666666666666666666666666666666
enabledBooleanWhether the binding is enabled. Defaults to true.
Example: true
